Bug 2102793 - etcdHighNumberOfLeaderChanges returns incorrect number of leadership changes
Summary: etcdHighNumberOfLeaderChanges returns incorrect number of leadership changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.11
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.10.z
Assignee: Thomas Jungblut
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 2092880
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-30 16:31 UTC by OpenShift BugZilla Robot
Modified: 2022-07-11 15:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-11 15:27:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 870 0 None Merged [release-4.10] Bug 2102793: avoid extrapolation in leaderhip alert 2022-07-05 07:20:44 UTC
Red Hat Product Errata RHBA-2022:5513 0 None None None 2022-07-11 15:28:03 UTC

Comment 2 ge liu 2022-07-04 07:49:42 UTC
erified with 4.10.0-0.nightly-2022-07-01-210424
Using port-forward prometheus-k8s pod to check metrics without login UI:

# oc -n openshift-monitoring port-forward pod/prometheus-k8s-0 9090

Browser navigates to:
http://localhost:9090/graph

input: increase((max without (instance) (etcd_server_leader_changes_seen_total{job=~".*etcd.*"}) or 0*absent(etcd_server_leader_changes_seen_total{job=~".*etcd.*"}))[15m:1m])
got result is: 6.x

and input: etcd_server_is_leader to count the leadership changes, it's 6 times

the graph screenshot listed in attachment.

Comment 7 errata-xmlrpc 2022-07-11 15:27:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.22 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:5513


Note You need to log in before you can comment on or make changes to this bug.